> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minenet.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore snapshot



## OpenAPI

````yaml api-reference/openapi.yaml post /snapshots/{snapshotId}/restore
openapi: 3.1.0
info:
  title: Minenet Client API
  version: 1.0.0
  description: >
    Team-scoped API for deployments, servers, snapshots, files, and mod platform
    metadata.


    Authentication:

    - Bearer user token (`mnp_*`)

    - Bearer agent token (`mna_*`)


    Global rate limit: 100 requests/minute per token.
servers:
  - url: https://your-domain.com/api/client/v1
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Servers
  - name: Snapshots
  - name: Files
  - name: Modrinth
  - name: CurseForge
paths:
  /snapshots/{snapshotId}/restore:
    post:
      tags:
        - Snapshots
      summary: Restore snapshot
      operationId: restoreSnapshot
      parameters:
        - $ref: '#/components/parameters/SnapshotId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - target_server_id
              properties:
                target_server_id:
                  type: string
                  format: uuid
                truncate_directory:
                  type: boolean
                  default: true
      responses:
        '200':
          description: Snapshot restored
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  restored:
                    type: boolean
                  snapshot_id:
                    type: string
                  snapshot_uuid:
                    type: string
                    format: uuid
                  source_server_id:
                    type: string
                    format: uuid
                  target_server_id:
                    type: string
                    format: uuid
        '409':
          description: Snapshot not restorable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    SnapshotId:
      name: snapshotId
      in: path
      required: true
      schema:
        type: string
      description: Snapshot record ID.
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
  responses:
    RateLimited:
      description: Rate limit exceeded
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````